# network - Neırssi documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

Note

You are reading the help for the development version. The current release version is Neırssi 1.3.

# network

## Syntax

    NETWORK ADD|MODIFY [-nick <nick>] [-alternate_nick <nick>] [-user <user>] [-realname <name>] [-host <host>] [-usermode <mode>] [-autosendcmd <cmd>] [-querychans <count>] [-whois <count>] [-msgs <count>] [-kicks <count>] [-modes <count>] [-cmdspeed <ms>] [-cmdmax <count>] [-sasl_mechanism <mechanism>] [-sasl_username <username>] [-sasl_password <password>] <name>

    NETWORK REMOVE <network>

## Parameters

`LIST`: | Displays the list of configured networks.
`ADD`: | Adds a network to your configuration.
`MODIFY`: | Modifies a network in your configuration.
`REMOVE`: | Removes a network from your configuration.

`-nick`: | Specifies the nickname to use.
`-alternate_nick` | Specifies the alternate nickname to use.
`-user`: | Specifies the user identity to use.
`-realname`: | Specifies the real name to use.
`-host`: | Specifies the hostname to use.
`-usermode`: | Specifies the user modes to set on yourself.
`-autosendcmd`: | Specifies the commands, separated by the ‘;’ character, and enclosed within two “’” characters, to perform after connecting. (Some characters need to be escaped - see /help eval)
`-querychans`: | Specifies the maximum number of channels to put in one MODE or WHO command when synchronizing.
`-whois`: | Specifies the maximum number of nicknames in one WHOIS command.
`-msgs`: | Specifies the maximum number of nicknames in one PRIVMSG command.
`-kicks`: | Specifies the maximum number of nicknames in one KICK command.
`-modes`: | Specifies the maximum number of nicknames in one MODE command.
`-cmdspeed`: | Specifies the minimum amount of time, expressed in milliseconds, that the client must wait before sending additional commands to the server.
`-cmdmax`: | Specifies the maximum number of commands to perform before starting the internal flood protection.
`-sasl_mechanism` | Specifies the mechanism to use for the SASL authentication. At the moment irssi only supports the ‘plain’ and the ‘external’ mechanisms. Use ‘’ to disable the authentication.
`-sasl_username` | Specifies the username to use during the SASL authentication.
`-sasl_password` | Specifies the password to use during the SASL authentication.

The name of the network to add, edit or remove; if no parameter is given, the list of networks will be displayed.

## Description

Displays, adds, modifies or removes the network configuration of IRC networks.

When using the ADD parameter on a network that already exists, the configuration will be merged with each other.

We recommend using ‘WAIT 2000’ between the automated commands in order to prevent you from being kicked from the network due to flooding commands.

## Examples

    /NETWORK ADD -usermode +giw EFnet
    /NETWORK ADD -usermode +iw -nick mike -realname 'The one and only mike!' -host staff.irssi.org liberachat
    /NETWORK ADD -autosendcmd '^MSG NickServ identify WzerT8zq' liberachat
    /NETWORK ADD -autosendcmd '^MSG Q@CServe.quakenet.org AUTH mike WzerT8zq; WAIT 2000; OPER mike WzerT8zq; WAIT 2000; MODE mike +kXP' Quakenet
    /NETWORK MODIFY -usermode +gi EFnet
    /NETWORK REMOVE liberachat

## See also

CHANNEL, CONNECT, SERVER